HOUR                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 1
                                                                 5-Aug-2004 11:10:57  datelib.f90

	      1 !     DATELIB
	      2 !    
	      3 !     BIBLIOTECA DE FUNCOES PARA PROCESSAR DATAS E HORAS EM FORTRAN
	      4 
	      5 
	      6 	module datelib
	      7 	
	      8 
	      9 	type tpmonth
	     10 	 integer::nm
	     11 	end type
	     12 
	     13         type(tpmonth),DIMENSION(12)::monthy
	     14 	
	     15 	PRIVATE fjulian1
	     16         PRIVATE fjulian2
	     17         PRIVATE init 
	     18 	
	     19 	interface fjulian
	     20 	 module procedure fjulian1
	     21 	 module procedure fjulian2
	     22 	end interface
	     23 
	     24 	CONTAINS
	     25 
	     26 	subroutine init(year) 
	     27 	 integer,intent(in)::year
	     28 	 
	     29 	 monthy(1)%nm=31 !'jan
	     30 	 monthy(2)%nm=28 !'fev
	     31 	 monthy(3)%nm=31 ! 'mar
	     32 	 monthy(4)%nm=30 ! 'apr
	     33 	 monthy(5)%nm=31 ! 'may
	     34 	 monthy(6)%nm=30 ! 'jun
	     35 	 monthy(7)%nm=31 ! 'jul
	     36 	 monthy(8)%nm=31 ! 'ago
	     37 	 monthy(9)%nm=30 ! 'sep
	     38 	 monthy(10)%nm=31 !'oct
	     39 	 monthy(11)%nm=30 ! 'nov
	     40 	 monthy(12)%nm=31 !'dec
	     41 	  
	     42 	 if (mod(year,4)==0) monthy(2)%nm=29
	     43 
	     44 	 
	     45 	end subroutine

INIT                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 2
                                                                 5-Aug-2004 11:10:57  datelib.f90


PROGRAM SECTIONS
    Name				 Bytes   Attributes

  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Name          
                            
  4-00000000  $datelib$init_


VARIABLES

 Address      Type  Name
                        
      **      I*4   YEAR

INIT                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 3
                                                                 5-Aug-2004 11:10:57  datelib.f90

	     46 	
	     47 	!----------------------------------------------
	     48 	! fjulian - Retorna a data corrente a partir do ano 0 
	     49 	!           depois de cristo em dia e fracao de dias  
	     50 	!           	! 
	     51 	!----------------------------------------------
	     52 	
	     53 	           
	     54 	function fjulian1(year,month,day,hour,min,sec)
	     55 	 real*8::fjulian1
	     56 	 integer,intent(in)::year,month,day,hour,min,sec
	     57 	 
	     58 	 real d,h
	     59 	 d=0;h=0
	     60 	  
	     61 
	     62 	  call init(year)
	     63 
	     64 	  
	     65 	  do i=0,(year-1),4
	     66 	   d=d+1
	     67 	  end do
	     68 	  
	     69 	  d=d+365*year
	     70 	  
	     71 	  do i=2,month,1
	     72 	  
	     73 	   d=d+monthy(i-1)%nm
	     74 	   
	     75 	  end do   
	     76 	  
	     77 	  
	     78 	  d=d+day
	     79 	  
	     80 	  h=float(hour)+float(min)/60.0+float(sec)/3600
	     81 	  d=d+h/24
	     82 	 
	     83 	  fjulian1 =d
	     84 	  
	     85 	end function

FJULIAN1                        Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 4
                                                                 5-Aug-2004 11:10:57  datelib.f90


PROGRAM SECTIONS
    Name				 Bytes   Attributes
  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Type  Name               
                                       
  4-000000D0  R*8   $datelib$fjulian1_ 


VARIABLES

 Address      Type  Name   Address      Type  Name   Address      Type  Name   Address      Type  Name   Address      Type  Name 
                                                                                                                                 
  1-00000008  R*4   D       1-00000004  R*4   H       1-00000000  I*4   I           **      I*4   MONTH       **      I*4   YEAR 
      **      I*4   DAY         **      I*4   HOUR        **      I*4   MIN         **      I*4   SEC                            

FJULIAN1                        Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 5
                                                                 5-Aug-2004 11:10:57  datelib.f90

	     86 	
	     87        function fjulian2(SDATE$)
	     88          real*8:: fjulian2
	     89          real*8:: cdate
	     90          character(len=*),intent(in)::SDATE$ ! Data no formato YYYYMMDDHHmmss
	     91          integer :: ANO,MES,DIA,HORA,MIN,SEG
	     92 
	     93          read(SDATE$,'(I4,I2,I2,I2,I2,I2)')ANO,MES,DIA,HORA,MIN,SEG
	     94          print *,SDATE$,hora,min,seg
	     95          cdate=fjulian1(ANO,MES,DIA,HORA,MIN,SEG)
	     96          fjulian2=cdate
	     97 
	     98       end function fjulian2

PROGRAM SECTIONS
    Name				 Bytes   Attributes
  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Type  Name               
                                       
  4-000002C0  R*8   $datelib$fjulian2_ 


VARIABLES

 Address      Type  Name    Address      Type  Name    Address      Type  Name    Address      Type  Name  
                                                                                                           
  1-00000028  I*4   ANO      1-00000020  I*4   DIA      1-00000024  I*4   MES          **      CHAR  SDATE$
  1-00000010  R*8   CDATE    1-0000001C  I*4   HORA     1-0000002C  I*4   MIN      1-00000018  I*4   SEG   

FJULIAN2                        Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 6
                                                                 5-Aug-2004 11:10:57  datelib.f90

	     99 
	    100 
	    101 !---------------------------------------------------------------------------!
	    102 !                          Funo grdate							        !
	    103 ! Retorna um texto  que representa a data no formato (hh:mnZ ddmmmyyyy)",   !
	    104 ! que  utilizado nos arquivos descritores do grads                         !
	    105 !															
	    105 			    !
	    106 ! Sintax:  cdate=grdate(jdate)     										    
	    106 !
	    107 !															
	    107 			    !
	    108 !   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
	    109 !        : que pode ser obtido atravs da funo fjulina                    !
	    110 !															
	    110 				!
	    111 !						                                            		!
	    112 !         Veja Tambm funo fjulian									    !
	    113 !---------------------------------------------------------------------------!
	    114 
	    115 function grdate(jdate);character(len=19)::grdate
	    116 
	    117   
	    118   real*8,intent(in)::jdate
	    119 
	    120   character(len=3),dimension(12)::nm
	    121   character(len=19)::a
	    122   integer :: i
	    123 
	    124   nm(1)="Jan"
	    125   nm(2)="Feb"
	    126   nm(3)="Mar"
	    127   nm(4)="Apr"
	    128   NM(5)="May"
	    129   nm(6)="Jun"
	    130   nm(7)="Jul"
	    131   nm(8)="Aug"
	    132   nm(9)="Sep"
	    133   nm(10)="Oct"
	    134   nm(11)="Nov"
	    135   nm(12)="Dec"
	    136   
	    137   i=month(jdate)
	    138   write(a,10)hour(jdate),day(jdate),nm(i),year(jdate)
	    139 10 format(i2.2,":00Z",i2.2,a3,i4)
	    140   grdate=a
	    141  end function

GRDATE                          Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 7
                                                                 5-Aug-2004 11:10:57  datelib.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Type  Name             
                                     
  4-00000520  CHAR  $datelib$grdate_ 

VARIABLES
 Address      Type  Name   Address      Type  Name   Address      Type  Name 
                                                                             
  1-00000038  CHAR  A       1-00000030  I*4   I           **      R*8   JDATE

ARRAYS
 Address      Type  Name        Bytes  Dimensions
  1-00000050  CHAR  NM             36  (12)

GRDATE                          Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 8
                                                                 5-Aug-2004 11:10:57  datelib.f90

	    142 
	    143 	function year(d)
	    144 	 integer::year
	    145 	 real*8,intent(in)::d
	    146 	 integer::y
	    147 	 real*8::d2
	    148 	 
	    149 	  y=-1
	    150 
	    151  10   y=y+1
	    152 	   d2=fjulian(y,1,1,0,0,0)
	    153 	 if  (d2<=d) goto 10 
	    154 
	    155 	  year=y-1
	    156 	end function


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Type  Name           
                                   
  4-000009D4  I*4   $datelib$year_ 


VARIABLES

 Address      Type  Name  Address      Type  Name  Address      Type  Name
                                                                          
      **      R*8   D      1-00000078  R*8   D2     1-00000080  I*4   Y   


LABELS

 Address      Label
                   
  4-000009FC  10   

YEAR                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 9
                                                                 5-Aug-2004 11:10:57  datelib.f90

	    157 
	    158 !---------------------------------------------------------------------------!
	    159 !                          Funo month									    !
	    160 ! Retorna um Inteiro entre 1 e 12 inclusive, que representa o mes do ano    !
	    161 !															
	    161 			    !
	    162 ! Sintax:  imonth=month(jdate)     										    
	    162 !
	    163 !															
	    163 			    !
	    164 !   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
	    165 !        : que pode ser obtido atravs da funo fjulina                    !
	    166 !															
	    166 				!
	    167 !						                                            		!
	    168 !         Veja Tambm funo fjulian									    !
	    169 !---------------------------------------------------------------------------!
	    170 
	    171 function month(d)
	    172 	integer :: month
	    173 	real*8,intent(in)::d
	    174 	real*8::d2
	    175 	integer :: y,m
	    176 	 
	    177 	 y=year(d)
	    178 	 m=0
	    179   10 m=m+1
	    180 	 d2=fjulian(y,m,1,0,0,0)
	    181 	 if  (d2<=d) goto 10 
	    182 	 month=m-1
	    183 
	    184 end function

MONTH                           Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 10
                                                                 5-Aug-2004 11:10:57  datelib.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Type  Name            
                                    
  4-00000A90  I*4   $datelib$month_ 


VARIABLES

 Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name
                                                                                                   
      **      R*8   D      1-00000088  R*8   D2     1-00000090  I*4   M      1-00000094  I*4   Y   


LABELS

 Address      Label
                   
  4-00000AC4  10   

MONTH                           Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 11
                                                                 5-Aug-2004 11:10:57  datelib.f90

	    185 
	    186 
	    187 
	    188 !---------------------------------------------------------------------------!
	    189 !                          Funo day									    !
	    190 ! Retorna um Inteiro entre 1 e 31 inclusive, que representa o dia do mes    !
	    191 !															
	    191 			    !
	    192 ! Sintax:  idia=day(jdate)	     										    
	    192 !
	    193 !															
	    193 			    !
	    194 !   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
	    195 !        : que pode ser obtido atravs da funo fjulina                    !
	    196 !															
	    196 				!
	    197 !						                                            		!
	    198 !         Veja Tambm funo fjulian									    !
	    199 !---------------------------------------------------------------------------!
	    200  function day(d)
	    201 	 integer :: day
	    202 	 real*8,intent(in)::d
	    203 	 real*8::d2
	    204 	 integer :: y,m,a
	    205 	 
	    206 	     y=year(d)
	    207 	     m=month(d)
	    208      	 a=0
	    209   10     a=a+1
	    210 	 d2=fjulian(y,m,a,0,0,0)
	    211 	 if  (d2<=d) goto 10 
	    212 	 day=a-1
	    213 
	    214 	end function

DAY                             Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 12
                                                                 5-Aug-2004 11:10:57  datelib.f90



PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Type  Name          
                                  
  4-00000B58  I*4   $datelib$day_ 


VARIABLES

 Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name  Address      Type  Name
                                                                                                                            
  1-000000A8  I*4   A          **      R*8   D      1-00000098  R*8   D2     1-000000A0  I*4   M      1-000000A4  I*4   Y   


LABELS

 Address      Label
                   
  4-00000B9C  10   

DAY                             Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 13
                                                                 5-Aug-2004 11:10:57  datelib.f90

	    215 
	    216 !---------------------------------------------------------------------------!
	    217 !                          Funo hour									    !
	    218 ! Retorna um Inteiro entre 0 e 23 inclusive, que representa o hora do dia   !
	    219 !															
	    219 			    !
	    220 ! Sintax:  ihora=day(jdate)	     										    
	    220 !
	    221 !															
	    221 			    !
	    222 !   jdate:  data em dias e fraoes de dias, retativo ao calendrio juliano !
	    223 !        : que pode ser obtido atravs da funo fjulina                    !
	    224 !															
	    224 				!
	    225 !						                                            		!
	    226 !         Veja Tambm funo fjulian									    !
	    227 !---------------------------------------------------------------------------!
	    228 
	    229   function hour(d)
	    230 	 integer :: hour
	    231 	 real*8,intent(in)::d
	    232 	 hour=int((d -int(d ))*24)
	    233 	
	    234    end function


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

ENTRY POINTS
 Address      Type  Name           
                                   
  4-00000C30  I*4   $datelib$hour_ 



HOUR                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 14
                                                                 5-Aug-2004 11:10:57  datelib.f90

VARIABLES

 Address      Type  Name
                        
      **      R*8   D   

HOUR                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 15
                                                                 5-Aug-2004 11:10:57  datelib.f90

	    235 
	    236 END MODULE


PROGRAM SECTIONS

    Name				 Bytes   Attributes

  1 $BSS$                                  172 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  2 $DATA$                                 144 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT OCTA
  3 $datelib$monthy_ps_                     48 NOPIC CON REL LCL NOSHR NOEXE   RD   WRT LONG
  4 $CODE$                                3200   PIC CON REL LCL   SHR   EXE NORD NOWRT OCTA
  5 .lita                                  104   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  6 .lit4                                   68   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  7 .literal                                14   PIC CON REL LCL NOSHR NOEXE   RD NOWRT QUAD
  8 .xdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD
  9 .pdata                                  64 NOPIC CON REL LCL NOSHR NOEXE NORD NOWRT QUAD

    Total Space Allocated                 3878

FUNCTIONS AND SUBROUTINES REFERENCED
  Type  Name                       Type  Name                       Type  Name                       Type  Name                    
                                                                                                                                   
         $datelib$day_                    $datelib$init_                   $datelib$month_                  $datelib$fjulian1_     
         $datelib$hour_                   $datelib$year_                   $datelib$grdate_                 $datelib$fjulian2_     

HOUR                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 16
                                                                 5-Aug-2004 11:10:57  datelib.f90

	    237 
	    238 
	    239 	

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 17
                                                                 5-Aug-2004 11:10:57  datelib.f90

				.text
				.globl  $datelib$init_
				.ent 	$datelib$init_
				.eflag 16
	     0000	$datelib$init_:											    # 000026
27BB0001     0000		ldah	gp, $datelib$init_			# gp, (r27)
23BD8DE0     0004		lda	gp, $datelib$init_			# gp, (gp)
	     0008	L$1:
23DEFFC0     0008		lda	sp, -64(sp)
				.frame  $sp, 64, $26
				.prologue 1
47F00400     000C		mov	r16, r0
47E3F402     0010		mov	31, r2										    # 000029
A47D8010     0014		ldq	r3, $datelib$monthy_			# r3, (gp)
B0430000     0018		stl	r2, $datelib$monthy_			# r2, (r3)
47E39404     001C		mov	28, r4										    # 000030
A4BD8010     0020		ldq	r5, $datelib$monthy_			# r5, (gp)
B0850004     0024		stl	r4, $datelib$monthy_			# r4, 4(r5)
47E3F401     0028		mov	31, r1										    # 000031
A61D8010     002C		ldq	r16, $datelib$monthy_			# r16, (gp)
B0300008     0030		stl	r1, $datelib$monthy_			# r1, 8(r16)
47E3D402     0034		mov	30, r2										    # 000032
A47D8010     0038		ldq	r3, $datelib$monthy_			# r3, (gp)
B043000C     003C		stl	r2, $datelib$monthy_			# r2, 12(r3)
47E3F404     0040		mov	31, r4										    # 000033
A4BD8010     0044		ldq	r5, $datelib$monthy_			# r5, (gp)
B0850010     0048		stl	r4, $datelib$monthy_			# r4, 16(r5)
47E3D401     004C		mov	30, r1										    # 000034
A61D8010     0050		ldq	r16, $datelib$monthy_			# r16, (gp)
B0300014     0054		stl	r1, $datelib$monthy_			# r1, 20(r16)
47E3F402     0058		mov	31, r2										    # 000035
A47D8010     005C		ldq	r3, $datelib$monthy_			# r3, (gp)
B0430018     0060		stl	r2, $datelib$monthy_			# r2, 24(r3)
47E3F404     0064		mov	31, r4										    # 000036
A4BD8010     0068		ldq	r5, $datelib$monthy_			# r5, (gp)
B085001C     006C		stl	r4, $datelib$monthy_			# r4, 28(r5)
47E3D401     0070		mov	30, r1										    # 000037
A61D8010     0074		ldq	r16, $datelib$monthy_			# r16, (gp)
B0300020     0078		stl	r1, $datelib$monthy_			# r1, 32(r16)
47E3F402     007C		mov	31, r2										    # 000038
A47D8010     0080		ldq	r3, $datelib$monthy_			# r3, (gp)
B0430024     0084		stl	r2, $datelib$monthy_			# r2, 36(r3)
47E3D404     0088		mov	30, r4										    # 000039
A4BD8010     008C		ldq	r5, $datelib$monthy_			# r5, (gp)
B0850028     0090		stl	r4, $datelib$monthy_			# r4, 40(r5)
47E3F401     0094		mov	31, r1										    # 000040
A61D8010     0098		ldq	r16, $datelib$monthy_			# r16, (gp)
B030002C     009C		stl	r1, $datelib$monthy_			# r1, 44(r16)
A0400000     00A0		ldl	r2, (r0)									    # 000042
44407003     00A4		and	r2, 3, r3
E8400006     00A8		blt	r2, L$3
	     00AC	L$2:
F4600003     00AC		bne	r3, lab$0001
47E3B404     00B0		mov	29, r4
A4BD8010     00B4		ldq	r5, $datelib$monthy_			# r5, (gp)
B0850004     00B8		stl	r4, $datelib$monthy_			# r4, 4(r5)
	     00BC	lab$0001:											    # 000045

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 18
                                $datelib$init_                   5-Aug-2004 11:10:57  datelib.f90

23DE0040     00BC		lda	sp, 64(sp)
6BFA8001     00C0		ret	(r26)
	     00C4	L$3:												    # 000042
E47FFFF9     00C4		beq	r3, L$2
40609523     00C8		subq	r3, 4, r3
C3FFFFF7     00CC		br	L$2
				.end 	$datelib$init_

Routine Size: 208 bytes,    Routine Base: $CODE$ + 0000

				.globl  $datelib$fjulian1_
				.ent 	$datelib$fjulian1_
				.eflag 16
	     00D0	$datelib$fjulian1_:										    # 000054
27BB0001     00D0		ldah	gp, $datelib$fjulian1_			# gp, (r27)
23BD8DE0     00D4		lda	gp, $datelib$fjulian1_			# gp, (gp)
	     00D8	L$6:
23DEFFA0     00D8		lda	sp, -96(sp)
B75E0000     00DC		stq	r26, (sp)
				.mask 0x04000000,-96
				.fmask 0x00000000,0
				.frame  $sp, 96, $26
				.prologue 1
47F00418     00E0		mov	r16, r24
47F10417     00E4		mov	r17, r23
47F20416     00E8		mov	r18, r22
47F30408     00EC		mov	r19, r8
47F40407     00F0		mov	r20, r7
B6BE0008     00F4		stq	r21, 8(sp)
A41D8028     00F8		ldq	r0, D					# r0, 24(gp)				    # 000059
9BE00000     00FC		sts	f31, D					# f31, (r0)
A61D8028     0100		ldq	r16, H					# r16, 24(gp)
9BF0FFFC     0104		sts	f31, H					# f31, -4(r16)
47F80410     0108		mov	r24, r16									    # 000062
D35FFFBE     010C		bsr	r26, L$1
A2380000     0110		ldl	r17, (r24)									    # 000065
42207410     0114		addq	r17, 3, r16
47E09411     0118		mov	4, r17
A77D8020     011C		ldq	r27, _OtsDivide64			# r27, 16(gp)
6B5B4000     0120		jsr	r26, _OtsDivide64			# r26, (r27)
27BA0001     0124		ldah	gp, $datelib$fjulian1_			# gp, (r26)
23BD8DE0     0128		lda	gp, $datelib$fjulian1_			# gp, (gp)
47E00406     012C		mov	r0, var$0011				# r0, r6
A69D8028     0130		ldq	r20, I					# r20, 24(gp)
B3F4FFF8     0134		stl	r31, I					# r31, -8(r20)
EC00000E     0138		ble	r0, lab$0017
	     013C	lab$0015:
A6BD8028     013C		ldq	r21, D					# r21, 24(gp)				    # 000066
88150000     0140		lds	f0, D					# f0, (r21)
A79D8018     0144		ldq	r28, 8(gp)
895C000C     0148		lds	f10, 12(r28)
580A1000     014C		adds	f0, f10, f0
A45D8028     0150		ldq	r2, D					# r2, 24(gp)
98020000     0154		sts	f0, D					# f0, (r2)
A47D8028     0158		ldq	r3, I					# r3, 24(gp)				    # 000065
A063FFF8     015C		ldl	r3, I					# r3, -8(r3)
40609003     0160		addl	r3, 4, r3

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 19
                                $datelib$fjulian1_               5-Aug-2004 11:10:57  datelib.f90

A49D8028     0164		ldq	r4, I					# r4, 24(gp)
B064FFF8     0168		stl	r3, I					# r3, -8(r4)
40C03526     016C		subq	var$0011, 1, var$0011			# r6, 1, r6
FCDFFFF2     0170		bgt	var$0011, lab$0015			# r6, lab$0015
	     0174	lab$0017:
A4BD8028     0174		ldq	r5, D					# r5, 24(gp)				    # 000069
89450000     0178		lds	f10, D					# f10, (r5)
A0380000     017C		ldl	r1, (r24)
221F016D     0180		mov	365, r16
4C300001     0184		mull	r1, r16, r1
B43E0050     0188		stq	r1, 80(sp)
8C1E0050     018C		ldt	f0, 80(sp)
5BE01780     0190		cvtqs	f0, f0
59401000     0194		adds	f10, f0, f0
A65D8028     0198		ldq	r18, D					# r18, 24(gp)
98120000     019C		sts	f0, D					# f0, (r18)
A2770000     01A0		ldl	r19, (r23)									    # 000071
42603533     01A4		subq	r19, 1, r19
47F30419     01A8		mov	r19, var$0012				# r19, r25
47E0541A     01AC		mov	2, r26
A77D8028     01B0		ldq	r27, I					# r27, 24(gp)
B35BFFF8     01B4		stl	r26, I					# r26, -8(r27)
EE600015     01B8		ble	r19, lab$0021
	     01BC	lab$0019:
A69D8028     01BC		ldq	r20, D					# r20, 24(gp)				    # 000073
89540000     01C0		lds	f10, D					# f10, (r20)
A41D8028     01C4		ldq	r0, I					# r0, 24(gp)
A000FFF8     01C8		ldl	r0, I					# r0, -8(r0)
4C009400     01CC		mulq	r0, 4, r0
40009520     01D0		subq	r0, 4, r0
A79D8010     01D4		ldq	r28, $datelib$monthy_			# r28, (gp)
43800400     01D8		addq	$datelib$monthy_, r0, r0		# r28, r0, r0
8800FFFC     01DC		lds	f0, -4(r0)
5FE00200     01E0		cvtlq	f0, f0
5BE0178B     01E4		cvtqs	f0, f11
594B100A     01E8		adds	f10, f11, f10
A6BD8028     01EC		ldq	r21, D					# r21, 24(gp)
99550000     01F0		sts	f10, D					# f10, (r21)
A45D8028     01F4		ldq	r2, I					# r2, 24(gp)				    # 000071
A042FFF8     01F8		ldl	r2, I					# r2, -8(r2)
40403002     01FC		addl	r2, 1, r2
A47D8028     0200		ldq	r3, I					# r3, 24(gp)
B043FFF8     0204		stl	r2, I					# r2, -8(r3)
43203539     0208		subq	var$0012, 1, var$0012			# r25, 1, r25
FF3FFFEB     020C		bgt	var$0012, lab$0019			# r25, lab$0019
	     0210	lab$0021:
A49D8028     0210		ldq	r4, D					# r4, 24(gp)				    # 000078
88040000     0214		lds	f0, D					# f0, (r4)
89760000     0218		lds	f11, (r22)
5FEB020B     021C		cvtlq	f11, f11
5BEB178A     0220		cvtqs	f11, f10
580A1000     0224		adds	f0, f10, f0
A61D8028     0228		ldq	r16, D					# r16, 24(gp)
98100000     022C		sts	f0, D					# f0, (r16)
89680000     0230		lds	f11, (r8)									    # 000080
5FEB020B     0234		cvtlq	f11, f11
5BEB178A     0238		cvtqs	f11, f10

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 20
                                $datelib$fjulian1_               5-Aug-2004 11:10:57  datelib.f90

88070000     023C		lds	f0, (r7)
5FE00200     0240		cvtlq	f0, f0
5BE0178C     0244		cvtqs	f0, f12
A79D8018     0248		ldq	r28, 8(gp)
881C0008     024C		lds	f0, 8(r28)
59801060     0250		divs	f12, f0, f0
59401000     0254		adds	f10, f0, f0
A65E0008     0258		ldq	r18, 8(sp)
89720000     025C		lds	f11, (r18)
5FEB020B     0260		cvtlq	f11, f11
5BEB178C     0264		cvtqs	f11, f12
A79D8018     0268		ldq	r28, 8(gp)
897C0004     026C		lds	f11, 4(r28)
598B106B     0270		divs	f12, f11, f11
580B1000     0274		adds	f0, f11, f0
A75D8028     0278		ldq	r26, H					# r26, 24(gp)
981AFFFC     027C		sts	f0, H					# f0, -4(r26)
A77D8028     0280		ldq	r27, D					# r27, 24(gp)				    # 000081
895B0000     0284		lds	f10, D					# f10, (r27)
A67D8028     0288		ldq	r19, H					# r19, 24(gp)
8993FFFC     028C		lds	f12, H					# f12, -4(r19)
A79D8018     0290		ldq	r28, 8(gp)
897C0000     0294		lds	f11, (r28)
598B106B     0298		divs	f12, f11, f11
594B100A     029C		adds	f10, f11, f10
A69D8028     02A0		ldq	r20, D					# r20, 24(gp)
99540000     02A4		sts	f10, D					# f10, (r20)
A41D8028     02A8		ldq	r0, D					# r0, 24(gp)				    # 000083
88200000     02AC		lds	FJULIAN1, D				# f1, (r0)
5C210400     02B0		fmov	FJULIAN1, f0				# f1, f0				    # 000085
A75E0000     02B4		ldq	r26, (sp)
23DE0060     02B8		lda	sp, 96(sp)
6BFA8001     02BC		ret	(r26)
				.end 	$datelib$fjulian1_

Routine Size: 496 bytes,    Routine Base: $CODE$ + 00D0

				.globl  $datelib$fjulian2_
				.ent 	$datelib$fjulian2_
				.eflag 16
	     02C0	$datelib$fjulian2_:										    # 000087
27BB0001     02C0		ldah	gp, $datelib$fjulian2_			# gp, (r27)
23BD8DE0     02C4		lda	gp, $datelib$fjulian2_			# gp, (gp)
	     02C8	L$17:
23DEFF70     02C8		lda	sp, -144(sp)
B75E0000     02CC		stq	r26, (sp)
				.mask 0x04000000,-144
				.fmask 0x00000000,0
				.frame  $sp, 144, $26
				.prologue 1
B61E0008     02D0		stq	r16, 8(sp)
B63E0028     02D4		stq	r17, SDATE$.len				# r17, 40(sp)
A43E0028     02D8		ldq	r1, SDATE$.len				# r1, 40(sp)
B43E0010     02DC		stq	r1, 16(sp)
B3FE0038     02E0		stl	r31, var$0003				# r31, 56(sp)				    # 000093
A65D8030     02E4		ldq	r18, 32(gp)
A61E0010     02E8		ldq	r16, 16(sp)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 21
                                $datelib$fjulian2_               5-Aug-2004 11:10:57  datelib.f90

B61E0078     02EC		stq	r16, 120(sp)
A43E0008     02F0		ldq	r1, 8(sp)
B43E0080     02F4		stq	r1, 128(sp)
A45D8028     02F8		ldq	r2, ANO					# r2, 24(gp)
20420020     02FC		lda	r2, ANO					# r2, 32(r2)
B45E0088     0300		stq	r2, 136(sp)
221E0038     0304		lda	r16, var$0003				# r16, 56(sp)
263F0385     0308		ldah	r17, 901(r31)
2231FF00     030C		lda	r17, -256(r17)
227E0078     0310		lda	r19, 120(sp)
A69D8058     0314		ldq	r20, var$0004				# r20, 72(gp)
A77D8050     0318		ldq	r27, for_read_int_fmt			# r27, 64(gp)
6B5B4000     031C		jsr	r26, for_read_int_fmt			# r26, (r27)
27BA0001     0320		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     0324		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     0328		ldq	r17, 8(gp)
22310020     032C		lda	r17, 32(r17)
A41D8028     0330		ldq	r0, MES					# r0, 24(gp)
2000001C     0334		lda	r0, MES					# r0, 28(r0)
B41E0078     0338		stq	r0, 120(sp)
221E0038     033C		lda	r16, var$0003				# r16, 56(sp)
225E0078     0340		lda	r18, 120(sp)
A77D8048     0344		ldq	r27, for_read_int_fmt_xmit		# r27, 56(gp)
6B5B4000     0348		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     034C		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     0350		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     0354		ldq	r17, 8(gp)
22310020     0358		lda	r17, 32(r17)
A41D8028     035C		ldq	r0, DIA					# r0, 24(gp)
20000018     0360		lda	r0, DIA					# r0, 24(r0)
B41E0078     0364		stq	r0, 120(sp)
221E0038     0368		lda	r16, var$0003				# r16, 56(sp)
225E0078     036C		lda	r18, 120(sp)
A77D8048     0370		ldq	r27, for_read_int_fmt_xmit		# r27, 56(gp)
6B5B4000     0374		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     0378		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     037C		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     0380		ldq	r17, 8(gp)
22310020     0384		lda	r17, 32(r17)
A41D8028     0388		ldq	r0, HORA				# r0, 24(gp)
20000014     038C		lda	r0, HORA				# r0, 20(r0)
B41E0078     0390		stq	r0, 120(sp)
221E0038     0394		lda	r16, var$0003				# r16, 56(sp)
225E0078     0398		lda	r18, 120(sp)
A77D8048     039C		ldq	r27, for_read_int_fmt_xmit		# r27, 56(gp)
6B5B4000     03A0		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     03A4		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     03A8		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     03AC		ldq	r17, 8(gp)
22310020     03B0		lda	r17, 32(r17)
A41D8028     03B4		ldq	r0, MIN					# r0, 24(gp)
20000024     03B8		lda	r0, MIN					# r0, 36(r0)
B41E0078     03BC		stq	r0, 120(sp)
221E0038     03C0		lda	r16, var$0003				# r16, 56(sp)
225E0078     03C4		lda	r18, 120(sp)
A77D8048     03C8		ldq	r27, for_read_int_fmt_xmit		# r27, 56(gp)
6B5B4000     03CC		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 22
                                $datelib$fjulian2_               5-Aug-2004 11:10:57  datelib.f90

27BA0001     03D0		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     03D4		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     03D8		ldq	r17, 8(gp)
22310018     03DC		lda	r17, 24(r17)
A41D8028     03E0		ldq	r0, SEG					# r0, 24(gp)
20000010     03E4		lda	r0, SEG					# r0, 16(r0)
B41E0078     03E8		stq	r0, 120(sp)
221E0038     03EC		lda	r16, var$0003				# r16, 56(sp)
225E0078     03F0		lda	r18, 120(sp)
A77D8048     03F4		ldq	r27, for_read_int_fmt_xmit		# r27, 56(gp)
6B5B4000     03F8		jsr	r26, for_read_int_fmt_xmit		# r26, (r27)
27BA0001     03FC		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     0400		lda	gp, $datelib$fjulian2_			# gp, (gp)
B3FE0038     0404		stl	r31, var$0003				# r31, 56(sp)				    # 000094
A67D8018     0408		ldq	r19, 8(gp)
22730010     040C		lda	r19, 16(r19)
A43E0010     0410		ldq	r1, 16(sp)
B43E0080     0414		stq	r1, 128(sp)
A47E0008     0418		ldq	r3, 8(sp)
B47E0088     041C		stq	r3, 136(sp)
221E0038     0420		lda	r16, var$0003				# r16, 56(sp)
223FFFFF     0424		mov	-1, r17
265F0385     0428		ldah	r18, 901(r31)
2252FF00     042C		lda	r18, -256(r18)
229E0080     0430		lda	r20, 128(sp)
A77D8040     0434		ldq	r27, for_write_seq_lis			# r27, 48(gp)
6B5B4000     0438		jsr	r26, for_write_seq_lis			# r26, (r27)
27BA0001     043C		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     0440		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     0444		ldq	r17, 8(gp)
22310020     0448		lda	r17, 32(r17)
A41D8028     044C		ldq	r0, HORA				# r0, 24(gp)
20000014     0450		lda	r0, HORA				# r0, 20(r0)
B41E0078     0454		stq	r0, 120(sp)
221E0038     0458		lda	r16, var$0003				# r16, 56(sp)
225E0078     045C		lda	r18, 120(sp)
A77D8038     0460		ldq	r27, for_write_seq_lis_xmit		# r27, 40(gp)
6B5B4000     0464		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0468		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     046C		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     0470		ldq	r17, 8(gp)
22310020     0474		lda	r17, 32(r17)
A41D8028     0478		ldq	r0, MIN					# r0, 24(gp)
20000024     047C		lda	r0, MIN					# r0, 36(r0)
B41E0078     0480		stq	r0, 120(sp)
221E0038     0484		lda	r16, var$0003				# r16, 56(sp)
225E0078     0488		lda	r18, 120(sp)
A77D8038     048C		ldq	r27, for_write_seq_lis_xmit		# r27, 40(gp)
6B5B4000     0490		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     0494		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     0498		lda	gp, $datelib$fjulian2_			# gp, (gp)
A63D8018     049C		ldq	r17, 8(gp)
22310018     04A0		lda	r17, 24(r17)
A41D8028     04A4		ldq	r0, SEG					# r0, 24(gp)
20000010     04A8		lda	r0, SEG					# r0, 16(r0)
B41E0078     04AC		stq	r0, 120(sp)
221E0038     04B0		lda	r16, var$0003				# r16, 56(sp)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 23
                                $datelib$fjulian2_               5-Aug-2004 11:10:57  datelib.f90

225E0078     04B4		lda	r18, 120(sp)
A77D8038     04B8		ldq	r27, for_write_seq_lis_xmit		# r27, 40(gp)
6B5B4000     04BC		jsr	r26, for_write_seq_lis_xmit		# r26, (r27)
27BA0001     04C0		ldah	gp, $datelib$fjulian2_			# gp, (r26)
23BD8DE0     04C4		lda	gp, $datelib$fjulian2_			# gp, (gp)
A61D8028     04C8		ldq	r16, ANO				# r16, 24(gp)				    # 000095
22100020     04CC		lda	r16, ANO				# r16, 32(r16)
A63D8028     04D0		ldq	r17, MES				# r17, 24(gp)
2231001C     04D4		lda	r17, MES				# r17, 28(r17)
A65D8028     04D8		ldq	r18, DIA				# r18, 24(gp)
22520018     04DC		lda	r18, DIA				# r18, 24(r18)
A67D8028     04E0		ldq	r19, HORA				# r19, 24(gp)
22730014     04E4		lda	r19, HORA				# r19, 20(r19)
A69D8028     04E8		ldq	r20, MIN				# r20, 24(gp)
22940024     04EC		lda	r20, MIN				# r20, 36(r20)
A6BD8028     04F0		ldq	r21, SEG				# r21, 24(gp)
22B50010     04F4		lda	r21, SEG				# r21, 16(r21)
D35FFEF7     04F8		bsr	r26, L$6
A41D8028     04FC		ldq	r0, CDATE				# r0, 24(gp)
9C000008     0500		stt	f0, CDATE				# f0, 8(r0)
A43D8028     0504		ldq	r1, CDATE				# r1, 24(gp)				    # 000096
8DA10008     0508		ldt	f13, CDATE				# f13, 8(r1)
9DBE0030     050C		stt	f13, FJULIAN2				# f13, 48(sp)
8C1E0030     0510		ldt	f0, FJULIAN2				# f0, 48(sp)				    # 000098
A75E0000     0514		ldq	r26, (sp)
23DE0090     0518		lda	sp, 144(sp)
6BFA8001     051C		ret	(r26)
				.end 	$datelib$fjulian2_

Routine Size: 608 bytes,    Routine Base: $CODE$ + 02C0

				.globl  $datelib$grdate_
				.ent 	$datelib$grdate_
				.eflag 16
	     0520	$datelib$grdate_:										    # 000115
27BB0001     0520		ldah	gp, $datelib$grdate_			# gp, (r27)
23BD8DE0     0524		lda	gp, $datelib$grdate_			# gp, (gp)
	     0528	L$18:
23DEFF80     0528		lda	sp, -128(sp)
B75E0000     052C		stq	r26, (sp)
B53E0008     0530		stq	r9, 8(sp)
				.mask 0x04000200,-128
				.fmask 0x00000000,0
				.frame  $sp, 128, $26
				.prologue 1
B61E0010     0534		stq	r16, 16(sp)
B63E0020     0538		stq	r17, GRDATE.len				# r17, 32(sp)
47F20409     053C		mov	r18, r9
A43D8028     0540		ldq	r1, NM					# r1, 24(gp)				    # 000124
A4010048     0544		ldq	r0, NM					# r0, 72(r1)
261F0100     0548		ldah	r16, 256(r31)
2210FFFF     054C		lda	r16, -1(r16)
44100100     0550		bic	r0, r16, r0
261F006E     0554		ldah	r16, 110(r31)
2210614A     0558		lda	r16, 24906(r16)
44100400     055C		bis	r0, r16, r0
B4010048     0560		stq	r0, NM					# r0, 72(r1)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 24
                                $datelib$grdate_                 5-Aug-2004 11:10:57  datelib.f90

241F0062     0564		ldah	r0, 98(r31)									    # 000125
20006546     0568		lda	r0, 25926(r0)
A63D8028     056C		ldq	r17, NM					# r17, 24(gp)
2231004B     0570		lda	r17, NM					# r17, 75(r17)
2C510002     0574		ldq_u	r2, 2(r17)
2E510000     0578		ldq_u	r18, (r17)
47E01503     057C		not	0, r3
48651723     0580		sll	r3, 40, r3
48651683     0584		srl	r3, 40, r3
48051725     0588		sll	r0, 40, r5
48A51685     058C		srl	r5, 40, r5
48710EE4     0590		insqh	r3, r17, r4
48710763     0594		insql	r3, r17, r3
48B10EE6     0598		insqh	r5, r17, r6
48B10765     059C		insql	r5, r17, r5
44440102     05A0		bic	r2, r4, r2
46430112     05A4		bic	r18, r3, r18
44460402     05A8		bis	r2, r6, r2
46450412     05AC		bis	r18, r5, r18
3C510002     05B0		stq_u	r2, 2(r17)
3E510000     05B4		stq_u	r18, (r17)
243F0072     05B8		ldah	r1, 114(r31)									    # 000126
2021614D     05BC		lda	r1, 24909(r1)
A61D8028     05C0		ldq	r16, NM					# r16, 24(gp)
2210004E     05C4		lda	r16, NM					# r16, 78(r16)
2D100002     05C8		ldq_u	r8, 2(r16)
2CF00000     05CC		ldq_u	r7, (r16)
47E01513     05D0		not	0, r19
4A651733     05D4		sll	r19, 40, r19
4A651693     05D8		srl	r19, 40, r19
48251735     05DC		sll	r1, 40, r21
4AA51695     05E0		srl	r21, 40, r21
4A700EF4     05E4		insqh	r19, r16, r20
4A700773     05E8		insql	r19, r16, r19
4AB00EF6     05EC		insqh	r21, r16, r22
4AB00775     05F0		insql	r21, r16, r21
45140108     05F4		bic	r8, r20, r8
44F30107     05F8		bic	r7, r19, r7
45160408     05FC		bis	r8, r22, r8
44F50407     0600		bis	r7, r21, r7
3D100002     0604		stq_u	r8, 2(r16)
3CF00000     0608		stq_u	r7, (r16)
241F0072     060C		ldah	r0, 114(r31)									    # 000127
20007041     0610		lda	r0, 28737(r0)
A45D8028     0614		ldq	r2, NM					# r2, 24(gp)
20420051     0618		lda	r2, NM					# r2, 81(r2)
2C820002     061C		ldq_u	r4, 2(r2)
2C620000     0620		ldq_u	r3, (r2)
47E01505     0624		not	0, r5
48A51725     0628		sll	r5, 40, r5
48A51685     062C		srl	r5, 40, r5
48051731     0630		sll	r0, 40, r17
4A251691     0634		srl	r17, 40, r17
48A20EE6     0638		insqh	r5, r2, r6
48A20765     063C		insql	r5, r2, r5
4A220EF2     0640		insqh	r17, r2, r18
4A220771     0644		insql	r17, r2, r17

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 25
                                $datelib$grdate_                 5-Aug-2004 11:10:57  datelib.f90

44860104     0648		bic	r4, r6, r4
44650103     064C		bic	r3, r5, r3
44920404     0650		bis	r4, r18, r4
44710403     0654		bis	r3, r17, r3
3C820002     0658		stq_u	r4, 2(r2)
3C620000     065C		stq_u	r3, (r2)
A43D8028     0660		ldq	r1, NM					# r1, 24(gp)				    # 000128
A0E10054     0664		ldl	r7, NM					# r7, 84(r1)
251F0100     0668		ldah	r8, 256(r31)
2108FFFF     066C		lda	r8, -1(r8)
44E80107     0670		bic	r7, r8, r7
251F0079     0674		ldah	r8, 121(r31)
2108614D     0678		lda	r8, 24909(r8)
44E80407     067C		bis	r7, r8, r7
B0E10054     0680		stl	r7, NM					# r7, 84(r1)
243F006E     0684		ldah	r1, 110(r31)									    # 000129
2021754A     0688		lda	r1, 30026(r1)
A61D8028     068C		ldq	r16, NM					# r16, 24(gp)
22100057     0690		lda	r16, NM					# r16, 87(r16)
2E900002     0694		ldq_u	r20, 2(r16)
2E700000     0698		ldq_u	r19, (r16)
47E01515     069C		not	0, r21
4AA51735     06A0		sll	r21, 40, r21
4AA51695     06A4		srl	r21, 40, r21
48251720     06A8		sll	r1, 40, r0
48051680     06AC		srl	r0, 40, r0
4AB00EF6     06B0		insqh	r21, r16, r22
4AB00775     06B4		insql	r21, r16, r21
48100EE2     06B8		insqh	r0, r16, r2
48100760     06BC		insql	r0, r16, r0
46960114     06C0		bic	r20, r22, r20
46750113     06C4		bic	r19, r21, r19
46820414     06C8		bis	r20, r2, r20
46600413     06CC		bis	r19, r0, r19
3E900002     06D0		stq_u	r20, 2(r16)
3E700000     06D4		stq_u	r19, (r16)
247F006C     06D8		ldah	r3, 108(r31)									    # 000130
2063754A     06DC		lda	r3, 30026(r3)
A49D8028     06E0		ldq	r4, NM					# r4, 24(gp)
2084005A     06E4		lda	r4, NM					# r4, 90(r4)
2CC40002     06E8		ldq_u	r6, 2(r4)
2CA40000     06EC		ldq_u	r5, (r4)
47E01511     06F0		not	0, r17
4A251731     06F4		sll	r17, 40, r17
4A251691     06F8		srl	r17, 40, r17
48651727     06FC		sll	r3, 40, r7
48E51687     0700		srl	r7, 40, r7
4A240EF2     0704		insqh	r17, r4, r18
4A240771     0708		insql	r17, r4, r17
48E40EE8     070C		insqh	r7, r4, r8
48E40767     0710		insql	r7, r4, r7
44D20106     0714		bic	r6, r18, r6
44B10105     0718		bic	r5, r17, r5
44C80406     071C		bis	r6, r8, r6
44A70405     0720		bis	r5, r7, r5
3CC40002     0724		stq_u	r6, 2(r4)
3CA40000     0728		stq_u	r5, (r4)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 26
                                $datelib$grdate_                 5-Aug-2004 11:10:57  datelib.f90

241F0067     072C		ldah	r0, 103(r31)									    # 000131
20007541     0730		lda	r0, 30017(r0)
A43D8028     0734		ldq	r1, NM					# r1, 24(gp)
2021005D     0738		lda	r1, NM					# r1, 93(r1)
2E010002     073C		ldq_u	r16, 2(r1)
2C410000     0740		ldq_u	r2, (r1)
47E01513     0744		not	0, r19
4A651733     0748		sll	r19, 40, r19
4A651693     074C		srl	r19, 40, r19
48051735     0750		sll	r0, 40, r21
4AA51695     0754		srl	r21, 40, r21
4A610EF4     0758		insqh	r19, r1, r20
4A610773     075C		insql	r19, r1, r19
4AA10EF6     0760		insqh	r21, r1, r22
4AA10775     0764		insql	r21, r1, r21
46140110     0768		bic	r16, r20, r16
44530102     076C		bic	r2, r19, r2
46160410     0770		bis	r16, r22, r16
44550402     0774		bis	r2, r21, r2
3E010002     0778		stq_u	r16, 2(r1)
3C410000     077C		stq_u	r2, (r1)
A47D8028     0780		ldq	r3, NM					# r3, 24(gp)				    # 000132
A4830060     0784		ldq	r4, NM					# r4, 96(r3)
24BF0100     0788		ldah	r5, 256(r31)
20A5FFFF     078C		lda	r5, -1(r5)
44850104     0790		bic	r4, r5, r4
24BF0070     0794		ldah	r5, 112(r31)
20A56553     0798		lda	r5, 25939(r5)
44850404     079C		bis	r4, r5, r4
B4830060     07A0		stq	r4, NM					# r4, 96(r3)
247F0074     07A4		ldah	r3, 116(r31)									    # 000133
2063634F     07A8		lda	r3, 25423(r3)
A4DD8028     07AC		ldq	r6, NM					# r6, 24(gp)
20C60063     07B0		lda	r6, NM					# r6, 99(r6)
2D060002     07B4		ldq_u	r8, 2(r6)
2CE60000     07B8		ldq_u	r7, (r6)
47E01511     07BC		not	0, r17
4A251731     07C0		sll	r17, 40, r17
4A251691     07C4		srl	r17, 40, r17
48651720     07C8		sll	r3, 40, r0
48051680     07CC		srl	r0, 40, r0
4A260EF2     07D0		insqh	r17, r6, r18
4A260771     07D4		insql	r17, r6, r17
48060EE1     07D8		insqh	r0, r6, r1
48060760     07DC		insql	r0, r6, r0
45120108     07E0		bic	r8, r18, r8
44F10107     07E4		bic	r7, r17, r7
45010408     07E8		bis	r8, r1, r8
44E00407     07EC		bis	r7, r0, r7
3D060002     07F0		stq_u	r8, 2(r6)
3CE60000     07F4		stq_u	r7, (r6)
245F0076     07F8		ldah	r2, 118(r31)									    # 000134
20426F4E     07FC		lda	r2, 28494(r2)
A61D8028     0800		ldq	r16, NM					# r16, 24(gp)
22100066     0804		lda	r16, NM					# r16, 102(r16)
2E900002     0808		ldq_u	r20, 2(r16)
2E700000     080C		ldq_u	r19, (r16)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 27
                                $datelib$grdate_                 5-Aug-2004 11:10:57  datelib.f90

47E01515     0810		not	0, r21
4AA51735     0814		sll	r21, 40, r21
4AA51695     0818		srl	r21, 40, r21
48451724     081C		sll	r2, 40, r4
48851684     0820		srl	r4, 40, r4
4AB00EF6     0824		insqh	r21, r16, r22
4AB00775     0828		insql	r21, r16, r21
48900EE5     082C		insqh	r4, r16, r5
48900764     0830		insql	r4, r16, r4
46960114     0834		bic	r20, r22, r20
46750113     0838		bic	r19, r21, r19
46850414     083C		bis	r20, r5, r20
46640413     0840		bis	r19, r4, r19
3E900002     0844		stq_u	r20, 2(r16)
3E700000     0848		stq_u	r19, (r16)
241F0063     084C		ldah	r0, 99(r31)									    # 000135
20006544     0850		lda	r0, 25924(r0)
A43D8028     0854		ldq	r1, NM					# r1, 24(gp)
20210069     0858		lda	r1, NM					# r1, 105(r1)
2CC10002     085C		ldq_u	r6, 2(r1)
2C610000     0860		ldq_u	r3, (r1)
47E01507     0864		not	0, r7
48E51727     0868		sll	r7, 40, r7
48E51687     086C		srl	r7, 40, r7
48051731     0870		sll	r0, 40, r17
4A251691     0874		srl	r17, 40, r17
48E10EE8     0878		insqh	r7, r1, r8
48E10767     087C		insql	r7, r1, r7
4A210EF2     0880		insqh	r17, r1, r18
4A210771     0884		insql	r17, r1, r17
44C80106     0888		bic	r6, r8, r6
44670103     088C		bic	r3, r7, r3
44D20406     0890		bis	r6, r18, r6
44710403     0894		bis	r3, r17, r3
3CC10002     0898		stq_u	r6, 2(r1)
3C610000     089C		stq_u	r3, (r1)
47E90410     08A0		mov	r9, r16										    # 000137
D340007C     08A4		bsr	r26, L$19
A43D8028     08A8		ldq	r1, I					# r1, 24(gp)
B0010028     08AC		stl	r0, I					# r0, 40(r1)
47E90410     08B0		mov	r9, r16										    # 000138
D34000E0     08B4		bsr	r26, L$20
B3FE0028     08B8		stl	r31, var$0005				# r31, 40(sp)
A65D8030     08BC		ldq	r18, 32(gp)
22520008     08C0		lda	r18, 8(r18)
47E27402     08C4		mov	19, r2
B45E0068     08C8		stq	r2, 104(sp)
A49D8028     08CC		ldq	r4, A					# r4, 24(gp)
20840030     08D0		lda	r4, A					# r4, 48(r4)
B49E0070     08D4		stq	r4, 112(sp)
B01E0078     08D8		stl	r0, 120(sp)
221E0028     08DC		lda	r16, var$0005				# r16, 40(sp)
263F0385     08E0		ldah	r17, 901(r31)
2231FF00     08E4		lda	r17, -256(r17)
227E0068     08E8		lda	r19, 104(sp)
A69D8058     08EC		ldq	r20, var$0006				# r20, 72(gp)
22940050     08F0		lda	r20, var$0006				# r20, 80(r20)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 28
                                $datelib$grdate_                 5-Aug-2004 11:10:57  datelib.f90

A77D8070     08F4		ldq	r27, for_write_int_fmt			# r27, 96(gp)
6B5B4000     08F8		jsr	r26, for_write_int_fmt			# r26, (r27)
27BA0001     08FC		ldah	gp, $datelib$grdate_			# gp, (r26)
23BD8DE0     0900		lda	gp, $datelib$grdate_			# gp, (gp)
47E90410     0904		mov	r9, r16
D3400095     0908		bsr	r26, L$21
A63D8018     090C		ldq	r17, 8(gp)
22310038     0910		lda	r17, 56(r17)
B01E0068     0914		stl	r0, 104(sp)
221E0028     0918		lda	r16, var$0005				# r16, 40(sp)
225E0068     091C		lda	r18, 104(sp)
A77D8068     0920		ldq	r27, for_write_int_fmt_xmit		# r27, 88(gp)
6B5B4000     0924		jsr	r26, for_write_int_fmt_xmit		# r26, (r27)
27BA0001     0928		ldah	gp, $datelib$grdate_			# gp, (r26)
23BD8DE0     092C		lda	gp, $datelib$grdate_			# gp, (gp)
A41D8028     0930		ldq	r0, I					# r0, 24(gp)
A0000028     0934		ldl	r0, I					# r0, 40(r0)
4C007400     0938		mulq	r0, 3, r0
A79D8028     093C		ldq	r28, NM					# r28, 24(gp)
43800400     0940		addq	NM, r0, r0				# r28, r0, r0
20000045     0944		lda	r0, 69(r0)
A63D8018     0948		ldq	r17, 8(gp)
22310030     094C		lda	r17, 48(r17)
47E07401     0950		mov	3, r1
B43E0068     0954		stq	r1, 104(sp)
B41E0070     0958		stq	r0, 112(sp)
47E07404     095C		mov	3, r4
B49E0078     0960		stq	r4, 120(sp)
221E0028     0964		lda	r16, var$0005				# r16, 40(sp)
225E0068     0968		lda	r18, 104(sp)
A77D8068     096C		ldq	r27, for_write_int_fmt_xmit		# r27, 88(gp)
6B5B4000     0970		jsr	r26, for_write_int_fmt_xmit		# r26, (r27)
27BA0001     0974		ldah	gp, $datelib$grdate_			# gp, (r26)
23BD8DE0     0978		lda	gp, $datelib$grdate_			# gp, (gp)
47E90410     097C		mov	r9, r16
D3400016     0980		bsr	r26, L$22
A63D8018     0984		ldq	r17, 8(gp)
22310028     0988		lda	r17, 40(r17)
B01E0068     098C		stl	r0, 104(sp)
221E0028     0990		lda	r16, var$0005				# r16, 40(sp)
225E0068     0994		lda	r18, 104(sp)
A77D8068     0998		ldq	r27, for_write_int_fmt_xmit		# r27, 88(gp)
6B5B4000     099C		jsr	r26, for_write_int_fmt_xmit		# r26, (r27)
27BA0001     09A0		ldah	gp, $datelib$grdate_			# gp, (r26)
23BD8DE0     09A4		lda	gp, $datelib$grdate_			# gp, (gp)
A61E0010     09A8		ldq	r16, 16(sp)									    # 000140
A65D8028     09AC		ldq	r18, A					# r18, 24(gp)
22520030     09B0		lda	r18, A					# r18, 48(r18)
47E27411     09B4		mov	19, r17
A77D8060     09B8		ldq	r27, _OtsMove				# r27, 80(gp)
6B5B4000     09BC		jsr	r26, _OtsMove				# r26, (r27)
A41E0010     09C0		ldq	r0, 16(sp)									    # 000141
A75E0000     09C4		ldq	r26, (sp)
A53E0008     09C8		ldq	r9, 8(sp)
23DE0080     09CC		lda	sp, 128(sp)
6BFA8001     09D0		ret	(r26)
				.end 	$datelib$grdate_

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 29
                                $datelib$grdate_                 5-Aug-2004 11:10:57  datelib.f90


Routine Size: 1204 bytes,    Routine Base: $CODE$ + 0520

				.globl  $datelib$year_
				.ent 	$datelib$year_
				.eflag 16
	     09D4	$datelib$year_:											    # 000143
27BB0001     09D4		ldah	gp, $datelib$year_			# gp, (r27)
23BD8DE0     09D8		lda	gp, $datelib$year_			# gp, (gp)
	     09DC	L$22:
23DEFFA0     09DC		lda	sp, -96(sp)
B75E0000     09E0		stq	r26, (sp)
B53E0008     09E4		stq	r9, 8(sp)
B55E0010     09E8		stq	r10, 16(sp)
				.mask 0x04000600,-96
				.fmask 0x00000000,0
				.frame  $sp, 96, $26
				.prologue 1
47F00409     09EC		mov	r16, r9
203FFFFF     09F0		mov	-1, r1										    # 000149
A45D8028     09F4		ldq	r2, Y					# r2, 24(gp)
B0220078     09F8		stl	r1, Y					# r1, 120(r2)
	     09FC	.10:												    # 000151
A41D8028     09FC		ldq	r0, Y					# r0, 24(gp)
A0000078     0A00		ldl	r0, Y					# r0, 120(r0)
40003000     0A04		addl	r0, 1, r0
A61D8028     0A08		ldq	r16, Y					# r16, 24(gp)
B0100078     0A0C		stl	r0, Y					# r0, 120(r16)
A63D8018     0A10		ldq	r17, 8(gp)									    # 000152
22310040     0A14		lda	r17, 64(r17)
A65D8018     0A18		ldq	r18, 8(gp)
22520040     0A1C		lda	r18, 64(r18)
A67D8018     0A20		ldq	r19, 8(gp)
2273003C     0A24		lda	r19, 60(r19)
A69D8018     0A28		ldq	r20, 8(gp)
2294003C     0A2C		lda	r20, 60(r20)
A6BD8018     0A30		ldq	r21, 8(gp)
22B5003C     0A34		lda	r21, 60(r21)
A61D8028     0A38		ldq	r16, Y					# r16, 24(gp)
22100078     0A3C		lda	r16, Y					# r16, 120(r16)
D35FFDA5     0A40		bsr	r26, L$6
A41D8028     0A44		ldq	r0, D2					# r0, 24(gp)
9C000070     0A48		stt	f0, D2					# f0, 112(r0)
A43D8028     0A4C		ldq	r1, D2					# r1, 24(gp)				    # 000153
8C210070     0A50		ldt	f1, D2					# f1, 112(r1)
8D490000     0A54		ldt	f10, (r9)
582A14E1     0A58		cmptle	f1, f10, f1
C4200002     0A5C		fbeq	f1, lab$0071
47FF040A     0A60		mov	r31, var$0016				# r31, r10
C3FFFFE5     0A64		br	.10
	     0A68	lab$0071:
A47D8028     0A68		ldq	r3, Y					# r3, 24(gp)				    # 000155
A0630078     0A6C		ldl	r3, Y					# r3, 120(r3)
40603123     0A70		subl	r3, 1, r3
B07E0018     0A74		stl	r3, YEAR				# r3, 24(sp)
A01E0018     0A78		ldl	r0, YEAR				# r0, 24(sp)				    # 000156
A75E0000     0A7C		ldq	r26, (sp)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 30
                                $datelib$year_                   5-Aug-2004 11:10:57  datelib.f90

A53E0008     0A80		ldq	r9, 8(sp)
A55E0010     0A84		ldq	r10, 16(sp)
23DE0060     0A88		lda	sp, 96(sp)
6BFA8001     0A8C		ret	(r26)
				.end 	$datelib$year_

Routine Size: 188 bytes,    Routine Base: $CODE$ + 09D4

				.globl  $datelib$month_
				.ent 	$datelib$month_
				.eflag 16
	     0A90	$datelib$month_:										    # 000171
27BB0001     0A90		ldah	gp, $datelib$month_			# gp, (r27)
23BD8DE0     0A94		lda	gp, $datelib$month_			# gp, (gp)
	     0A98	L$19:
23DEFFA0     0A98		lda	sp, -96(sp)
B75E0000     0A9C		stq	r26, (sp)
B53E0008     0AA0		stq	r9, 8(sp)
B55E0010     0AA4		stq	r10, 16(sp)
				.mask 0x04000600,-96
				.fmask 0x00000000,0
				.frame  $sp, 96, $26
				.prologue 1
47F00409     0AA8		mov	r16, r9
47E90410     0AAC		mov	r9, r16										    # 000177
D35FFFCA     0AB0		bsr	r26, L$22
A43D8028     0AB4		ldq	r1, Y					# r1, 24(gp)
B001008C     0AB8		stl	r0, Y					# r0, 140(r1)
A45D8028     0ABC		ldq	r2, M					# r2, 24(gp)				    # 000178
B3E20088     0AC0		stl	r31, M					# r31, 136(r2)
	     0AC4	.10:												    # 000179
A47D8028     0AC4		ldq	r3, M					# r3, 24(gp)
A0630088     0AC8		ldl	r3, M					# r3, 136(r3)
40603003     0ACC		addl	r3, 1, r3
A49D8028     0AD0		ldq	r4, M					# r4, 24(gp)
B0640088     0AD4		stl	r3, M					# r3, 136(r4)
A65D8018     0AD8		ldq	r18, 8(gp)									    # 000180
22520040     0ADC		lda	r18, 64(r18)
A67D8018     0AE0		ldq	r19, 8(gp)
2273003C     0AE4		lda	r19, 60(r19)
A69D8018     0AE8		ldq	r20, 8(gp)
2294003C     0AEC		lda	r20, 60(r20)
A6BD8018     0AF0		ldq	r21, 8(gp)
22B5003C     0AF4		lda	r21, 60(r21)
A61D8028     0AF8		ldq	r16, Y					# r16, 24(gp)
2210008C     0AFC		lda	r16, Y					# r16, 140(r16)
A63D8028     0B00		ldq	r17, M					# r17, 24(gp)
22310088     0B04		lda	r17, M					# r17, 136(r17)
D35FFD73     0B08		bsr	r26, L$6
A41D8028     0B0C		ldq	r0, D2					# r0, 24(gp)
9C000080     0B10		stt	f0, D2					# f0, 128(r0)
A43D8028     0B14		ldq	r1, D2					# r1, 24(gp)				    # 000181
8C210080     0B18		ldt	f1, D2					# f1, 128(r1)
8D490000     0B1C		ldt	f10, (r9)
582A14E1     0B20		cmptle	f1, f10, f1
C4200002     0B24		fbeq	f1, lab$0088
47FF040A     0B28		mov	r31, var$0017				# r31, r10

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 31
                                $datelib$month_                  5-Aug-2004 11:10:57  datelib.f90

C3FFFFE5     0B2C		br	.10
	     0B30	lab$0088:
A47D8028     0B30		ldq	r3, M					# r3, 24(gp)				    # 000182
A0630088     0B34		ldl	r3, M					# r3, 136(r3)
40603123     0B38		subl	r3, 1, r3
B07E0018     0B3C		stl	r3, MONTH				# r3, 24(sp)
A01E0018     0B40		ldl	r0, MONTH				# r0, 24(sp)				    # 000184
A75E0000     0B44		ldq	r26, (sp)
A53E0008     0B48		ldq	r9, 8(sp)
A55E0010     0B4C		ldq	r10, 16(sp)
23DE0060     0B50		lda	sp, 96(sp)
6BFA8001     0B54		ret	(r26)
				.end 	$datelib$month_

Routine Size: 200 bytes,    Routine Base: $CODE$ + 0A90

				.globl  $datelib$day_
				.ent 	$datelib$day_
				.eflag 16
	     0B58	$datelib$day_:											    # 000200
27BB0001     0B58		ldah	gp, $datelib$day_			# gp, (r27)
23BD8DE0     0B5C		lda	gp, $datelib$day_			# gp, (gp)
	     0B60	L$21:
23DEFFA0     0B60		lda	sp, -96(sp)
B75E0000     0B64		stq	r26, (sp)
B53E0008     0B68		stq	r9, 8(sp)
B55E0010     0B6C		stq	r10, 16(sp)
				.mask 0x04000600,-96
				.fmask 0x00000000,0
				.frame  $sp, 96, $26
				.prologue 1
47F00409     0B70		mov	r16, r9
47E90410     0B74		mov	r9, r16										    # 000206
D35FFF98     0B78		bsr	r26, L$22
A43D8028     0B7C		ldq	r1, Y					# r1, 24(gp)
B001009C     0B80		stl	r0, Y					# r0, 156(r1)
47E90410     0B84		mov	r9, r16										    # 000207
D35FFFC3     0B88		bsr	r26, L$19
A43D8028     0B8C		ldq	r1, M					# r1, 24(gp)
B0010098     0B90		stl	r0, M					# r0, 152(r1)
A45D8028     0B94		ldq	r2, A					# r2, 24(gp)				    # 000208
B3E200A0     0B98		stl	r31, A					# r31, 160(r2)
	     0B9C	.10:												    # 000209
A47D8028     0B9C		ldq	r3, A					# r3, 24(gp)
A06300A0     0BA0		ldl	r3, A					# r3, 160(r3)
40603003     0BA4		addl	r3, 1, r3
A49D8028     0BA8		ldq	r4, A					# r4, 24(gp)
B06400A0     0BAC		stl	r3, A					# r3, 160(r4)
A67D8018     0BB0		ldq	r19, 8(gp)									    # 000210
2273003C     0BB4		lda	r19, 60(r19)
A69D8018     0BB8		ldq	r20, 8(gp)
2294003C     0BBC		lda	r20, 60(r20)
A6BD8018     0BC0		ldq	r21, 8(gp)
22B5003C     0BC4		lda	r21, 60(r21)
A61D8028     0BC8		ldq	r16, Y					# r16, 24(gp)
2210009C     0BCC		lda	r16, Y					# r16, 156(r16)
A63D8028     0BD0		ldq	r17, M					# r17, 24(gp)

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 32
                                $datelib$day_                    5-Aug-2004 11:10:57  datelib.f90

22310098     0BD4		lda	r17, M					# r17, 152(r17)
A65D8028     0BD8		ldq	r18, A					# r18, 24(gp)
225200A0     0BDC		lda	r18, A					# r18, 160(r18)
D35FFD3D     0BE0		bsr	r26, L$6
A41D8028     0BE4		ldq	r0, D2					# r0, 24(gp)
9C000090     0BE8		stt	f0, D2					# f0, 144(r0)
A43D8028     0BEC		ldq	r1, D2					# r1, 24(gp)				    # 000211
8C210090     0BF0		ldt	f1, D2					# f1, 144(r1)
8D490000     0BF4		ldt	f10, (r9)
582A14E1     0BF8		cmptle	f1, f10, f1
C4200002     0BFC		fbeq	f1, lab$0111
47FF040A     0C00		mov	r31, var$0018				# r31, r10
C3FFFFE5     0C04		br	.10
	     0C08	lab$0111:
A47D8028     0C08		ldq	r3, A					# r3, 24(gp)				    # 000212
A06300A0     0C0C		ldl	r3, A					# r3, 160(r3)
40603123     0C10		subl	r3, 1, r3
B07E0018     0C14		stl	r3, DAY					# r3, 24(sp)
A01E0018     0C18		ldl	r0, DAY					# r0, 24(sp)				    # 000214
A75E0000     0C1C		ldq	r26, (sp)
A53E0008     0C20		ldq	r9, 8(sp)
A55E0010     0C24		ldq	r10, 16(sp)
23DE0060     0C28		lda	sp, 96(sp)
6BFA8001     0C2C		ret	(r26)
				.end 	$datelib$day_

Routine Size: 216 bytes,    Routine Base: $CODE$ + 0B58

				.globl  $datelib$hour_
				.ent 	$datelib$hour_
				.eflag 16
	     0C30	$datelib$hour_:											    # 000229
27BB0001     0C30		ldah	gp, $datelib$hour_			# gp, (r27)
23BD8DE0     0C34		lda	gp, $datelib$hour_			# gp, (gp)
	     0C38	L$20:
23DEFFB0     0C38		lda	sp, -80(sp)
				.frame  $sp, 80, $26
				.prologue 1
47F00401     0C3C		mov	r16, r1
8C010000     0C40		ldt	f0, (r1)									    # 000232
8C210000     0C44		ldt	f1, (r1)
5BE105E1     0C48		cvttqc	f1, f1
5FE1060A     0C4C		cvtql	f1, f10
5FEA020A     0C50		cvtlq	f10, f10
5BEA17CB     0C54		cvtqt	f10, f11
580B1420     0C58		subt	f0, f11, f0
A79D8018     0C5C		ldq	r28, 8(gp)
899C0000     0C60		lds	f12, (r28)
580C1440     0C64		mult	f0, f12, f0
5BE005E0     0C68		cvttqc	f0, f0
9C1E0040     0C6C		stt	f0, 64(sp)
A05E0040     0C70		ldl	HOUR, 64(sp)				# r2, 64(sp)
47E20400     0C74		mov	HOUR, r0				# r2, r0				    # 000234
23DE0050     0C78		lda	sp, 80(sp)
6BFA8001     0C7C		ret	(r26)
				.end 	$datelib$hour_


HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 33
                                $datelib$hour_                   5-Aug-2004 11:10:57  datelib.f90

Routine Size: 80 bytes,    Routine Base: $CODE$ + 0C30

				.data
				.lcomm	I 4
				.lcomm	H 4
				.lcomm	D 4
				.lcomm	CDATE 8
				.lcomm	SEG 4
				.lcomm	HORA 4
				.lcomm	DIA 4
				.lcomm	MES 4
				.lcomm	ANO 4
				.lcomm	MIN 4
				.lcomm	I 4
				.lcomm	A 19
				.lcomm	NM 36
				.lcomm	D2 8
				.lcomm	Y 4
				.lcomm	D2 8
				.lcomm	M 4
				.lcomm	Y 4
				.lcomm	D2 8
				.lcomm	M 4
				.lcomm	Y 4
				.lcomm	A 4
				.globl $datelib$monthy_
				.lcomm	$datelib$monthy_ 48
				.data
			$$1:
00000036     0000		.long	0x00000036
00000024     0004		.long	0x00000024
00000001     0008		.long	0x00000001
00000004     000C		.long	0x00000004
00000024     0010		.long	0x00000024
00000001     0014		.long	0x00000001
00000002     0018		.long	0x00000002
00000024     001C		.long	0x00000024
00000001     0020		.long	0x00000001
00000002     0024		.long	0x00000002
00000024     0028		.long	0x00000024
00000001     002C		.long	0x00000001
00000002     0030		.long	0x00000002
00000024     0034		.long	0x00000024
00000001     0038		.long	0x00000001
00000002     003C		.long	0x00000002
00000024     0040		.long	0x00000024
00000001     0044		.long	0x00000001
00000002     0048		.long	0x00000002
00000037     004C		.long	0x00000037
00000036     0050		.long	0x00000036
02000025     0054		.long	0x02000025
00000001     0058		.long	0x00000001
00000002     005C		.long	0x00000002
0004001C     0060		.long	0x0004001C
5A30303A     0064		.ascii	":00Z"

02000025     0068		.long	0x02000025

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 34
                                $datelib$hour_                   5-Aug-2004 11:10:57  datelib.f90

00000001     006C		.long	0x00000001
00000002     0070		.long	0x00000002
0000001D     0074		.long	0x0000001D
00000001     0078		.long	0x00000001
00000003     007C		.long	0x00000003
00000024     0080		.long	0x00000024
00000001     0084		.long	0x00000001
00000004     0088		.long	0x00000004
00000037     008C		.long	0x00000037
				.rdata
			$$2:
00000000     0000		.quad	$datelib$monthy_ps_
00000000     0008		.quad	.lit4
00000000     0010		.quad	_OtsDivide64
00000008     0018		.quad	$BSS$+8
00000000     0020		.quad	.literal
00000000     0028		.quad	for_write_seq_lis_xmit
00000000     0030		.quad	for_write_seq_lis
00000000     0038		.quad	for_read_int_fmt_xmit
00000000     0040		.quad	for_read_int_fmt
00000000     0048		.quad	$DATA$
00000000     0050		.quad	_OtsMove
00000000     0058		.quad	for_write_int_fmt_xmit
00000000     0060		.quad	for_write_int_fmt
				.rconst
			$$3:
41C00000     0000		.long	0x41C00000 # .float 24.00000
45610000     0004		.long	0x45610000 # .float 3600.000
42700000     0008		.long	0x42700000 # .float 60.00000
3F800000     000C		.long	0x3F800000 # .float 1.000000
00020438     0010		.long	0x00020438 #  .ascii "8\X04\X02\X00"

00010309     0018		.long	0x00010309 #  .ascii "\X09\X03\X01\X00"

00020309     0020		.long	0x00020309 #  .ascii "\X09\X03\X02\X00"

00010109     0028		.long	0x00010109 #  .ascii "\X09\X01\X01\X00"

00020638     0030		.long	0x00020638 #  .ascii "8\X06\X02\X00"

00020109     0038		.long	0x00020109 #  .ascii "\X09\X01\X02\X00"

00000000     003C		.long	0x0 # .long 0
00000001     0040		.long	0x1 # .long 1
				.rconst
			$$4:
03090438     0000		.ascii	"8\X04\X09\X03\X02\X00"
    0002     0004

01090438     0008		.ascii	"8\X04\X09\X01\X02\X00"
    0002     000C

				.data
			$$5:
	     0000		; Procedure descriptor for $datelib$init_
				; flags :short, reg_frame
				; entry_ra             : 26

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 35
                                $datelib$hour_                   5-Aug-2004 11:10:57  datelib.f90

				; save_ra              : 26
				; frame_size           : 8
				; sp_set               : 2
				; entry_length         : 3
	     0008		; Procedure descriptor for $datelib$fjulian1_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x00
				; fmask                : 0x00
				; frame_size           : 12
				; sp_set               : 2
				; entry_length         : 4
	     0010		; Procedure descriptor for $datelib$fjulian2_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x00
				; fmask                : 0x00
				; frame_size           : 18
				; sp_set               : 2
				; entry_length         : 4
	     0018		; Procedure descriptor for $datelib$grdate_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x02
				; fmask                : 0x00
				; frame_size           : 16
				; sp_set               : 2
				; entry_length         : 5
	     0020		; Procedure descriptor for $datelib$year_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x06
				; fmask                : 0x00
				; frame_size           : 12
				; sp_set               : 2
				; entry_length         : 6
	     0028		; Procedure descriptor for $datelib$month_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x06
				; fmask                : 0x00
				; frame_size           : 12
				; sp_set               : 2
				; entry_length         : 6
	     0030		; Procedure descriptor for $datelib$day_
				; flags :short
				; rsa_offset           : 0
				; imask                : 0x06
				; fmask                : 0x00
				; frame_size           : 12
				; sp_set               : 2
				; entry_length         : 6
	     0038		; Procedure descriptor for $datelib$hour_
				; flags :short, reg_frame
				; entry_ra             : 26
				; save_ra              : 26
				; frame_size           : 10

HOUR                            Machine Code Listing             2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 36
                                $datelib$hour_                   5-Aug-2004 11:10:57  datelib.f90

				; sp_set               : 2
				; entry_length         : 3
				.data
			$$6:
	     0000		; Code range descriptor for $datelib$init_
				beginaddress	    :     0000
				rpd_offset	    :     0000
				flags               : Standard
	     0008		; Code range descriptor for $datelib$fjulian1_
				beginaddress	    :     00D0
				rpd_offset	    :     0008
				flags               : Standard
	     0010		; Code range descriptor for $datelib$fjulian2_
				beginaddress	    :     02C0
				rpd_offset	    :     0010
				flags               : Standard
	     0018		; Code range descriptor for $datelib$grdate_
				beginaddress	    :     0520
				rpd_offset	    :     0018
				flags               : Standard
	     0020		; Code range descriptor for $datelib$year_
				beginaddress	    :     09D4
				rpd_offset	    :     0020
				flags               : Standard
	     0028		; Code range descriptor for $datelib$month_
				beginaddress	    :     0A90
				rpd_offset	    :     0028
				flags               : Standard
	     0030		; Code range descriptor for $datelib$day_
				beginaddress	    :     0B58
				rpd_offset	    :     0030
				flags               : Standard
	     0038		; Code range descriptor for $datelib$hour_
				beginaddress	    :     0C30
				rpd_offset	    :     0038
				flags               : Standard
COMPILER OPTIONS BEING USED

  no   -align commons                   no   -align dcommons
       -align records                   no   -align sequence
  no   -align rec1byte                  no   -align rec2byte
  no   -align rec4byte                  no   -align rec8byte
       -altparam                             -arch generic
       -assume accuracy_sensitive       no   -assume bigarrays
  no   -assume buffered_io                   -assume byterecl
  no   -assume dummy_aliases            no   -assume gfullpath
  no   -assume minus0                   no   -assume pthreads_lock
       -assume underscore               no   -assume 2underscores
       -assume source_include                -assume zsize
  no   -automatic                            -call_shared
  no   -check bounds                    no   -check format
  no   -check omp_bindings              no   -check output_conversion
  no   -check overflow                       -check power
  no   -check underflow                      -convert native
  no   -D                                    -double_size 64
  no   -d_lines                              -error_limit 30
  no   -extend_source                   no   -f66

INIT                            Source Listing                   2-Sep-2004 10:35:11  Compaq Fortran V5.3-915           Page 37
                                                                 5-Aug-2004 11:10:57  datelib.f90

  no   -fast                            no   -fpscomp logicals
  no   -fpscomp general                 no   -fpscomp ioformat
  no   -fpscomp filesfromcmd            no   -fpconstant
       -fpe0                                 -fprm nearest
       -free                                 -g2
       -granularity quadword            no   -hpf_matmul
  no   -intconstant                          -integer_size 32
  no   -ladebug                              -machine_code
       -math_library accurate                -mixed_str_len_arg
  no   -module                               -names lowercase
       -nearest_neighbor                no   -nowsf_main
  no   -non_shared                      no   -noinclude
       -numnodes 0                           -O0
       -inline none                     no   -transform_loops
  no   -pipeline                             -speculate none
       -tune generic                         -unroll 0
  no   -pad_source                           -parallel manual
  no   -pg                                   -real_size 32
  no   -recursive                            -reentrancy none
       -shadow_width 0                  no   -shared
  no   -show include                         -show map
  no   -show wsfinfo                    no   -show hpf_all
  no   -show hpf_punt                   no   -show hpf_nearest
  no   -show hpf_comm                   no   -show hpf_temps
  no   -show hpf_indep                  no   -show hpf_dev
  no   -show hpf_default                no   -std
  no   -synchronous_exceptions          no   -syntax_only
  no   -vms                                  -warn alignments
  no   -warn argument_checking          no   -warn declarations
       -warn general                         -warn granularity
  no   -warn hpf                        no   -warn truncated_source
       -warn uncalled                        -warn uninitialized
  no   -warn unused                          -warn usage
       -warning_severity warning        no   -wsf
  no   -fuse_xref

       -I    path : /usr/lib/cmplrs/hpfrtl/,/usr/include/
       -V    filename : datelib.l
       -o    filename : datelib.o

COMPILER: Compaq Fortran V5.3-915-449BB

COMPILATION STATISTICS

  CPU time:          0.00 seconds
  Elapsed time:      0.00 seconds
  Pagefaults:           0
  I/O Count:            0
